#ifndef _LIVEPATCH_BSC1204486_H
#define _LIVEPATCH_BSC1204486_H

#if IS_ENABLED(CONFIG_HID_BIGBEN_FF)

int livepatch_bsc1204486_init(void);
void livepatch_bsc1204486_cleanup(void);


struct hid_device;
struct hid_device_id;

int klpp_bigben_probe(struct hid_device *hid,
	const struct hid_device_id *id);


#else /* !IS_ENABLED(CONFIG_HID_BIGBEN_FF) */

static inline int livepatch_bsc1204486_init(void) { return 0; }

static inline void livepatch_bsc1204486_cleanup(void) {}

#endif /* IS_ENABLED(CONFIG_HID_BIGBEN_FF) */
#endif /* _LIVEPATCH_BSC1204486_H */
